/// <reference types="node" />
import readline from "readline";
import type { SBotClient } from "../client/";
import { Loader } from "../data/loader";
export declare class Console {
    sbclient?: SBotClient;
    rl: readline.Interface;
    constructor(client: SBotClient);
    execute(cmd: string): "Unknown Command" | undefined;
    private loaders;
    addLoader(...args: Loader<unknown>[]): void;
}
